Page MenuHomePhabricator

Migrate citoid to kubernetes
Closed, ResolvedPublic

Description

Subtask of the TEC3:O3:O3.1:Q3 Goal to migrate citoid to use the deployment pipeline

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 8 2019, 5:32 PM
greg triaged this task as Normal priority.Jan 9 2019, 6:14 PM
thcipriani updated the task description. (Show Details)Jan 9 2019, 6:15 PM
Pchelolo moved this task from Backlog to watching on the Services board.Jan 9 2019, 8:03 PM
Pchelolo edited projects, added Services (watching); removed Services.

Change 489686 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[mediawiki/services/citoid@master] Add .pipeline/blubber.yaml

https://gerrit.wikimedia.org/r/489686

Change 489689 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[integration/config@master] Move citoid to deployment pipeline

https://gerrit.wikimedia.org/r/489689

Change 489686 merged by jenkins-bot:
[mediawiki/services/citoid@master] Add .pipeline/blubber.yaml

https://gerrit.wikimedia.org/r/489686

Change 489689 merged by jenkins-bot:
[integration/config@master] Move citoid to deployment pipeline

https://gerrit.wikimedia.org/r/489689

Change 489889 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/citoid@master] blubber.yaml: Run tests insecurely

https://gerrit.wikimedia.org/r/489889

Change 489889 merged by Mobrovac:
[mediawiki/services/citoid@master] blubber.yaml: Run tests insecurely

https://gerrit.wikimedia.org/r/489889

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2019-02-12T15:46:28Z] <akosiaris> create namespaces for eventgate-analytics on eqiad/codfw/staging cluster T211247 T213194

Change 491523 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/deployment-charts@master] Introduce citoid helm chart

https://gerrit.wikimedia.org/r/491523

Change 491523 merged by Alexandros Kosiaris:
[operations/deployment-charts@master] Introduce citoid helm chart

https://gerrit.wikimedia.org/r/491523

Mentioned in SAL (#wikimedia-operations) [2019-02-21T10:04:55Z] <akosiaris> create citoid namespace on kubernetes eqiad codfw staging clusters T213194

Change 492273 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] Add citoid, cxserver kubernetes tokens

https://gerrit.wikimedia.org/r/492273

Change 492273 merged by Alexandros Kosiaris:
[operations/puppet@production] Add citoid, cxserver kubernetes tokens

https://gerrit.wikimedia.org/r/492273

Mvolz moved this task from Backlog to Production on the Citoid board.Feb 26 2019, 9:44 AM

Change 493420 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[mediawiki/services/citoid@master] Add ca-certificates package to production

https://gerrit.wikimedia.org/r/493420

Change 493420 merged by jenkins-bot:
[mediawiki/services/citoid@master] Add ca-certificates package to production

https://gerrit.wikimedia.org/r/493420

Change 493669 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/deployment-charts@master] Add citoid specific statsd mappings

https://gerrit.wikimedia.org/r/493669

Change 493670 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/deployment-charts@master] Publish citoid 0.0.2 version

https://gerrit.wikimedia.org/r/493670

Change 493669 merged by Alexandros Kosiaris:
[operations/deployment-charts@master] Add citoid specific statsd mappings

https://gerrit.wikimedia.org/r/493669

Change 493670 merged by Alexandros Kosiaris:
[operations/deployment-charts@master] Publish citoid 0.0.2 version

https://gerrit.wikimedia.org/r/493670

Change 494200 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] Send traffic for citoid to kubernetes hosts as well

https://gerrit.wikimedia.org/r/494200

Change 494213 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] lvs: Use the kubernetes cluster for citoid

https://gerrit.wikimedia.org/r/494213

Change 494214 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] citoid: Clean up old scb cluster stanzas

https://gerrit.wikimedia.org/r/494214

Change 494215 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] Remove citoid role/profile

https://gerrit.wikimedia.org/r/494215

Mentioned in SAL (#wikimedia-operations) [2019-03-04T15:44:12Z] <jijiki> Disabling puppet on sbc* and kubernetes* - T213194

Change 494200 merged by Effie Mouzeli:
[operations/puppet@production] Send traffic for citoid to kubernetes hosts as well

https://gerrit.wikimedia.org/r/494200

Mentioned in SAL (#wikimedia-operations) [2019-03-04T15:55:12Z] <jijiki> Running puppet on sbc* and kubernetes* - T213194

Mentioned in SAL (#wikimedia-operations) [2019-03-05T08:24:52Z] <akosiaris> T213194 bump percentage of citoid requests reaching eqiad kubernetes cluster to 9%

Mentioned in SAL (#wikimedia-operations) [2019-03-05T10:24:30Z] <jijiki> Rump up citoid traffic from k8s to 25% - T213194

Mentioned in SAL (#wikimedia-operations) [2019-03-05T14:34:37Z] <jijiki> Rump up citoid traffic from k8s to 25% on codfw - T213194

Mentioned in SAL (#wikimedia-operations) [2019-03-06T08:48:25Z] <akosiaris> increase citoid traffic to kubernetes infrastructure to 50% T213194

Change 494213 merged by Alexandros Kosiaris:
[operations/puppet@production] lvs: Use the kubernetes cluster for citoid

https://gerrit.wikimedia.org/r/494213

Change 494214 merged by Alexandros Kosiaris:
[operations/puppet@production] citoid: Clean up old scb cluster stanzas

https://gerrit.wikimedia.org/r/494214

Change 494215 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] Remove citoid role/profile

https://gerrit.wikimedia.org/r/494215

Change 494215 merged by Effie Mouzeli:
[operations/puppet@production] Remove citoid role/profile

https://gerrit.wikimedia.org/r/494215

Is this now completed?

jijiki closed this task as Resolved.
jijiki claimed this task.
jijiki added subscribers: akosiaris, jijiki.

@Jdforrester-WMF @akosiaris I am marking this as resolved, please reopen if you feel we are missing something.